/api/v1/llm-providers (POST)
const url = 'https://api.endless.zaia.app/api/v1/llm-providers';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"apiKey":"example","description":"example","name":"example","type":"openai"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/llm-providers \ --header 'Content-Type: application/json' \ --data '{ "apiKey": "example", "description": "example", "name": "example", "type": "openai" }'Creates a new LLM provider.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The API key used to authenticate with the LLM provider.
The internal description of the LLM provider configuration.
The display name of the LLM provider configuration.
The upstream LLM provider type configured for this record.
Responses
Seção intitulada “Responses”The LLM provider was created.
object
A UUID v4 string that identifies an entity.
The API key used to authenticate with the LLM provider.
The internal description of the LLM provider configuration.
The display name of the LLM provider configuration.
The optional reference ID associated with the LLM provider configuration.
The upstream LLM provider type configured for this record.
The workspace ID that owns the LLM provider configuration.
Example
{ "type": "openai"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}